using System;

internal sealed class Delegate747 : MulticastDelegate
{
	public extern DateTime Invoke();

	public static DateTime smethod_0(Delegate747 delegate747_1)
	{
		return delegate747_1();
	}

	public extern Delegate747(object object_0, IntPtr intptr_0);

	static Delegate747()
	{
		Class10.smethod_13(typeof(Delegate747).TypeHandle);
	}

	internal static Delegate747 delegate747_0;
}
